Correlation Rules

REST API operations for correlation rules

Overview

circle-info

The /correlation-rules endpoints require a Snowflake backend. They are not available on Databricks.

Use these API operations to interact with correlation rules in Panther.

To call the API, see the How to use the Panther REST APIarrow-up-right instructions—including directions for how to invoke it directly from this documentation pagearrow-up-right.

Required permissions

  • For GET operations, your API token must have the View Rules permission.

  • For POST, PUT, and DELETE operations, your API token must have the Manage Rules permission.

Operations

list correlation rules

get
Authorizations
X-API-KeystringRequired
Query parameters
cursorstringOptional

the pagination token

limitinteger · int64Optional

the maximum results to return

Default: 100
name-containsstringOptional

Substring search by name (case-insensitive)

statestring · enumOptional

Only include rules in the given state

Possible values:
tagstring[]Optional

Only include rules with one of the given tags (case-insensitive)

created-bystringOptional

Only include rules whose creator matches this user ID or actor ID

last-modified-bystringOptional

Only include rules last modified by this user ID or actor ID

Responses
chevron-right
200

OK response.

application/json
nextstringOptional

pagination token for the next page of results

get
/correlation-rules
200

OK response.

create correlation rule

post
Authorizations
X-API-KeystringRequired
Query parameters
run-tests-firstbooleanOptional

set this field to false to exclude running tests prior to saving

Default: true
run-tests-onlybooleanOptional

set this field to true if you want to run tests without saving

Default: false
Body
createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

runbookstringOptional

How to handle the generated alert

severitystring · enumRequiredPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
Responses
chevron-right
200

OK response.

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
post
/correlation-rules

get a correlation rule

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the correlation rule to fetch

Responses
chevron-right
200

OK response.

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
get
/correlation-rules/{id}

put correlation rule

put

put creates or updates a correlation rule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

the id of the correlation rule

Query parameters
run-tests-firstbooleanOptional

set this field to false to exclude running tests prior to saving

Default: true
run-tests-onlybooleanOptional

set this field to true if you want to run tests without saving

Default: false
Body
createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

runbookstringOptional

How to handle the generated alert

severitystring · enumRequiredPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
Responses
chevron-right
200

200 returned if the item already existed

application/json
correlationRuleReferenceIdsstring[]Optional

The IDs of the rules referenced by this correlation rule

createAlertbooleanOptional

Determines whether the rule should create alerts when it triggers

createdAtstringOptional
createdByExternalstringOptional

The text of the user-provided CreatedBy field when uploaded via CI/CD

dedupPeriodMinutesinteger · int64 · min: 1Optional

The amount of time in minutes for grouping alerts

Default: 60
descriptionstringOptional

The description of the correlation rule

detectionstringRequired

The yaml representation of the correlation rule

displayNamestringOptional

The display name of the correlation rule

enabledbooleanOptional

Determines whether or not the correlation rule is active

idstringRequired

The id of the correlation rule

lastModifiedstringOptional
logTypesstring[]Optional

The log types derived from the correlation rule references

managedbooleanOptional

Determines if the correlation rule is managed by panther

outputIDsstring[]Optional

Destination IDs that override default alert routing based on severity

runbookstringOptional

How to handle the generated alert

severitystring · enumOptionalPossible values:
summaryAttributesstring[]Optional

A list of fields in the event to create top 5 summaries for

tagsstring[]Optional

The tags for the correlation rule

thresholdinteger · int64 · min: 1Optional

the number of events that must match before an alert is triggered

Default: 1
put
/correlation-rules/{id}

delete correlation rule

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the correlation rule to delete

Responses
delete
/correlation-rules/{id}

No content

Last updated

Was this helpful?